
Redmine - Defect #2390

JS-error in context_menu.js

2008-12-23 16:32 - Alexander Oryol

Status: Closed Start date: 2008-12-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

In IE6, IE8 on /my/page when left-click on page:

Line: 51

Error: 'undefined' is null or not an object

For fix - context_menu.js:51

Was:

if (tr!=document && tr.hasClassName('hascontextmenu')) {

Need:

if (tr!=null && tr!=document && tr.hasClassName('hascontextmenu')) {

Associated revisions

Revision 2178 - 2008-12-24 14:29 - Jean-Philippe Lang

Fixes a JS error on context_menu with IE (#2390).

History

#1 - 2008-12-24 14:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fix committed in r2178.
